// fundamental/fundamental.hh
//
// $Id: fundamental.hh 1.9 Wed, 26 Feb 2003 14:16:00 +0100 akim $
// Vaucanson, a generic library for finite state machines.
// Copyright (C) 2001, 2002 Sakarovitch, Lombardy, Poss, Rey and Regis-Gianas.
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#ifndef VCSN_FUNDAMENTAL_FUNDAMENTAL_HH
# define VCSN_FUNDAMENTAL_FUNDAMENTAL_HH

/*! @addtogroup fundamental Fundamental : Enriching C++ with the Element design pattern. 
*/ /*! @{ @} */

# include <vaucanson/fundamental/predefs.hh>
# include <vaucanson/fundamental/slots.hh>
# include <vaucanson/fundamental/meta_set.hh>
# include <vaucanson/fundamental/element_base.hh>
# include <vaucanson/fundamental/element_ops.hh>
# include <vaucanson/fundamental/default_ops.hh>
# include <vaucanson/fundamental/element.hh>
# include <vaucanson/fundamental/structure.hh>

#endif // VCSN_FUNDAMENTAL_FUNDAMENTAL_HH
