// create_automaton_sup_semi_lattice.hh
//
// Mical, a regular grammar inference library
// Copyright (C) 2003 Maxime Rey
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef MICAL_CREATE_AUTOMATON_SUP_SEMI_LATTICE_HH_
#define MICAL_CREATE_AUTOMATON_SUP_SEMI_LATTICE_HH_

#include <mical/framework/framework.hh>

namespace mical {
  
  template <class A, class T, class Sample_>
  void
  proxy_create_automaton(search_kind::sup_semi_lattice, 
			 Element<A, T>& automaton, 
			 const Sample_& sample);

} // mical

#include <mical/framework/create_automaton_sup_semi_lattice.hxx>

#endif // MICAL_CREATE_AUTOMATON_SUP_SEMI_LATTICE_HH_
