// test_dist_order.cc

#include <mical/framework/partitions/distance.hh>

#include <algorithm>

#include <iostream>

int main(int argc, char** argv)
{
  using namespace std;
  using namespace mical;
  using namespace vcsn;

  // tiny test for distance between partitions

  Partition<partition_traits<set<set<hstate_t> > > > 
    partition1, 
    partition2;

  set<hstate_t> block;

  block.insert(1);
  partition1.insert(block);

  block.insert(2);
  partition1.insert(block);

  block.clear();
  block.insert(3);
  partition1.insert(block);

  partition2 = partition1;

  cout << distance_standard(partition1, partition2) << endl;
  
  partition1.erase(partition1.begin());

  cout << distance_standard(partition1, partition2) << endl;

  partition1.erase(partition1.begin());

  cout << distance_standard(partition1, partition2) << endl;

  partition1.erase(partition1.begin());

  cout << distance_standard(partition1, partition2) << endl;

  return 0;
}
